# continueAction

Field in [DialogueAdvanceInput](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md)

## Summary

The `UnityEngine.InputSystem.InputAction` that this component is listening for.

```csharp
public InputAction continueAction = new InputAction("Skip", InputActionType.Button, CommonUsages.Submit);
```

## Remarks

{% hint style="info" %}
This value is only used when [continueActionType](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-2.md) is [InputSystemAction](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-1/yarn.unity.dialogueadvanceinput.continueactiontype.inputsystemaction.md).
{% endhint %}

Use this continue action type when you want this component to use a configurable input action, but don't want to have to set up other actions in your project.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
